/* ===================================================================
 * CLASS STANDARD CMS
 * =================================================================*/
.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.clear {
    clear: both;
}

.invisible {
    display: none;
}

.alignleft {
    text-align: left;
}

.alignright {
    text-align: right;
}

.aligncenter {
    text-align: center;
}

.alignjustify {
    text-align: justify;
}

.inlineBlock {
    display: inline-block;
    zoom: 1;
}

object.alignleft,
img.alignleft,
table.alignleft,
span.alignleft,
iframe.alignleft,
embed.alignleft,
.videocontainer.alignleft,
figure.alignleft {
    float: left;
    margin: 0 1% 1rem 0;
}

object.alignright,
img.alignright,
table.alignright,
span.alignright,
iframe.alignright,
embed.alignright,
.videocontainer.alignright,
figure.alignright {
    float: right;
    margin: 0 0 1rem 1%;
    text-align: left;
}

table.aligncenter {
    margin: auto;
    text-align: left;
}

acronym {
    border-bottom: 1px dotted;
    cursor: help;
}

img {
    max-width: 100%;
    height: auto;
}

/* CLEARFIX */
.clearfix {
    zoom: 1;
    &::before, &::after {
        content: '.';
        display: block;
        height: 0;
        overflow: hidden;
    }
    &::after {
        clear: both;
    }
}

/* Class utile pour responsive */
.resetColonne {
    clear: both;
    float: none;
    width: 100%;
    margin-left: 0;
    margin-right: 0;
}

/* Vidéos responsive */
.iframe-ratio { // Pour une vidéo en 16/9, le padding-bottom est fixé à (9/16)*100, soit 56,25%
    position: relative;
    margin-bottom: 2rem;
    &::before {
        content: '';
        display: block;
        width: 100%;
        height: 0;
        padding-bottom: 56.25%;
    }
    &.width_left {
        width: 48%;
        float: left;
        margin-right: 2%;
    }
    &.width_right {
        width: 48%;
        float: right;
        margin-left: 2%;
    }
    &.width_middle {
        width: 50%;
        margin: auto;
    }
    iframe,
    embed,
    object,
    video {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
    }
    @media screen and (max-width: @mobile) {
        &.width_left,
        &.width_right,
        &.width_middle {
            width: 100%;
            float: none;
            margin-right: 0;
            margin-left: 0;
        }
    }
}
